EDIT - feature request #6880

Allow removing auditing from imports
08/03/2017 12:37 PM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdmadapter Estimated time: 0:00 hour
Target version: Release 4.10

Severity: normal

Description

An import like CoL is purely for reading and not for editing. Therefore we do not need any auditing.
Are there any other features that we do not need?

Envers listeners are automatically registered if envers is on classpath. To switch them off one needs to set hiberante property
hibernate.listeners.envers.autoRegister to false. Alternatively one could use a self written Enversintegrator

http://www.warski.org/blog/2011/04/envers-and-hibernate-4-0-0-alpha2-automatic-listener-registration/

https://stackoverflow.com/questions/28118004/implementing-conditional-envers-auditing-hibernate-4-3-7-final

https://stackoverflow.com/questions/28118004/implementing-conditional-envers-auditing-hibernate-4-3-7-final

https://docs.jboss.org/envers/docs/

Related issues:
Related to EDIT - bug #5063: Fix CoL import (split in parts++) Closed

Associated revisions

Revision a006a5d4 - 08/03/2017 04:07 PM - Andreas Miiller

fix #6880 allow explicitly define hibernate configurations in applicationController

e e.g. switch of auditing for long running imports

Revision df0829ae - 08/03/2017 04:10 PM - Andreas Miiller
ref #6880 switch of auditing for CoL import

Revision 5017de26 - 08/03/2017 07:32 PM - Andreas Miiller

ref #6880 fix seiralizable problem for new HibernateConfiguration

History

#1 - 08/03/2017 12:47 PM - Andreas Miuller

- Description updated

#2 - 08/03/2017 12:49 PM - Andreas Miiller
- Related to bug #5063: Fix CoL import (split in parts++) added

#3 - 08/03/2017 12:54 PM - Andreas Miuller
- Parent task set to #5353

#4 - 08/03/2017 04:07 PM - Andreas Miiller
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|a006a5d4c6af5f09f89998d43ed7d80567b18c34.
#5 - 08/03/2017 04:11 PM - Andreas Miiller
- % Done changed from 50 to 80

#6 - 09/14/2017 03:08 PM - Andreas Miiller
- Status changed from Resolved to Closed

- % Done changed from 80 to 100

Worked well for CoL import. If further functionality is needed for other imports we may open new tickets.
